## org.eclipse.emf.ant.taskdefs.codegen
Class JETTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.eclipse.emf.ant.taskdefs.EMFTask
                  org.eclipse.emf.ant.taskdefs.codegen.JETTask

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  JETCompilerTask, JETEmitterTask

    public abstract class JETTask

extends EMFTask

Super class of the Jet Ant tasks

Since:
  2.3.0

Field Summary
`protected java.io.File` `newFile`
`protected java.io.File` `templateFile`
`protected java.lang.String` `templateURI`

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`JETTask()`

Method Summary
`protected void` `checkAttributes()` All the attribute checks should be performed in this method.
`protected java.lang.String` `getTemplateURIAsString()`
`void` `setNewFile(java.io.File newFile)`
`void` `setTemplateFile(java.io.File templateFile)`
`void` `setTemplateURI(java.lang.String templateURI)`

Methods inherited from class org.eclipse.emf.ant.taskdefs.EMFTask
`assertTrue, doExecute, execute, getProgressMonitor`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### templateURI

    protected java.lang.String templateURI

### templateFile

    protected java.io.File templateFile

### newFile

    protected java.io.File newFile

Constructor Detail

### JETTask

    public JETTask()

Method Detail

### setTemplateFile

    public void setTemplateFile(java.io.File templateFile)

### setTemplateURI

    public void setTemplateURI(java.lang.String templateURI)

### setNewFile

    public void setNewFile(java.io.File newFile)

### getTemplateURIAsString

    protected java.lang.String getTemplateURIAsString()

### checkAttributes

    protected void checkAttributes()
                            throws org.apache.tools.ant.BuildException

  Description copied from class: `EMFTask`
  All the attribute checks should be performed in this method.

  Overrides:
    `checkAttributes` in class `EMFTask`
  Throws:
    `org.apache.tools.ant.BuildException`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.